import {select, 
        csv, 
        scaleLinear, 
        max, 
        scaleBand,
        axisLeft} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const margin = { top:20, right:80, bottom:60, left:190};
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;

console.log(margin.top)

const render = data => {
  const xValue = d => d.population
  const yValue = d => d.country
  
  const xScale = scaleLinear()
  	.domain([0, max(data, xValue)])
  	.range([0, innerWidth]);
   
  const yScale = scaleBand()
  	.domain(data.map(yValue))
  	.range([0, innerHeight]);
  
  const yAxis = axisLeft(yScale);
  
  const g = svg.append('g')
  	.attr('transform',`translate(${margin.left},${margin.top})`)
  
  yAxis(g.append('g'));
  
  g.selectAll('rect').data(data)
   .enter().append('rect')
   .attr('y', d=> yScale(yValue(d)))
   .attr('width', d => xScale(xValue(d)))
   .attr('height', d => yScale.bandwidth());
}; 

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population;
  });
  render(data);
});